Intent
Create Intent
Authorization
api_key api-key<token>
In: header
Request Body
application/json
paymentDescription*string
Payment description text
initialPaymentAmount?string|number
Optional initial payment amount for subscriptions
executionDate?string
Optional scheduled execution date
period?string|number
Optional billing period
frequency?string
Optional recurring payment frequency
Value in
"Daily" | "Weekly" | "Fortnightly" | "Monthly" | "BiMonthly" | "Quarterly" | "Yearly"subscriptionDetails?
Subscription-specific details
customerId?string
Optional existing customer ID
promotionalCode?string
Optional promotional code
expiryDate?string
Optional payment expiry date
discounts?
Optional discount applications
receiptUrl*string
Receipt page URL
returnUrl?string
Optional redirect URL after payment
intentType*string
Payment processing type
Value in
"CAPTURE" | "AUTHORIZE" | "RECURRING"orderNumber*string
Unique order identifier
currencyCode*string
ISO 4217 numeric currency code
Value in
"971" | "008" | "012" | "840" | "978" | "973" | "951" | "032" | "051" | "533" | "036" | "944" | "044" | "048" | "050" | "052" | "933" | "084" | "952" | "060" | "064" | "356" | "068" | "984" | "977" | "072" | "578" | "986" | "096" | "975" | "108" | "132" | "116" | "950" | "124" | "136" | "990" | "152" | "156" | "170" | "970" | "174" | "976" | "554" | "188" | "931" | "192" | "532" | "203" | "208" | "262" | "214" | "818" | "222" | "232" | "230" | "238" | "242" | "953" | "270" | "981" | "936" | "292" | "320" | "826" | "324" | "328" | "332" | "340" | "344" | "348" | "352" | "360" | "960" | "364" | "368" | "376" | "388" | "392" | "400" | "398" | "404" | "408" | "410" | "414" | "417" | "418" | "422" | "426" | "710" | "430" | "434" | "756" | "446" | "969" | "454" | "458" | "462" | "929" | "480" | "965" | "484" | "979" | "498" | "496" | "504" | "943" | "104" | "516" | "524" | "558" | "566" | "512" | "586" | "590" | "598" | "600" | "604" | "608" | "985" | "634" | "807" | "946" | "643" | "646" | "654" | "882" | "930" | "682" | "941" | "690" | "925" | "702" | "994" | "090" | "706" | "728" | "144" | "938" | "968" | "748" | "752" | "947" | "948" | "760" | "901" | "972" | "834" | "764" | "776" | "780" | "788" | "949" | "934" | "800" | "980" | "784" | "997" | "940" | "858" | "860" | "548" | "926" | "704" | "886" | "967" | "932"amount*string|number
Payment amount
email*string
Customer's email address
lastName*string
Customer's last name
firstName*string
Customer's first name
tenantAlias*string
Tenant organization identifier
Response Body
application/json
application/json
curl -X POST "https://api.paynowpro.com/api/v1/payments/intent" \ -H "Content-Type: application/json" \ -d '{ "paymentDescription": "string", "receiptUrl": "string", "intentType": "CAPTURE", "orderNumber": "string", "currencyCode": "971", "amount": "string", "email": "string", "lastName": "string", "firstName": "string", "tenantAlias": "string" }'{
"status": "string",
"intentId": "string"
}{
"cause": null,
"body": {
"response": {
"body": "string",
"headers": {
"property1": "string",
"property2": "string"
}
},
"request": {
"body": "string",
"headers": {
"property1": "string",
"property2": "string"
},
"url": "string",
"method": "string"
},
"reason": "string",
"code": 400
}
}